GNU Screen VT100 Interpreter Unspecified

2004-01-14T00:00:00
ID OSVDB:3881
Type osvdb
Reporter OSVDB
Modified 2004-01-14T00:00:00

Description

Vulnerability Description

GNU Screen contains a flaw related to the escape-sequence (ANSI) parser. By supplying it with "excessive gigabytes of data" an attacker could gain elevated privileges. No further details have been provided.

Solution Description

Upgrade to version 4.0.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

GNU Screen contains a flaw related to the escape-sequence (ANSI) parser. By supplying it with "excessive gigabytes of data" an attacker could gain elevated privileges. No further details have been provided.

References:

Vendor URL: http://www.gnu.org/software/screen/ Vendor URL: http://freshmeat.net/projects/screen/ Vendor Specific Advisory URL Mail List Post: http://archives.neohapsis.com/archives/apps/freshmeat/2004-01/0014.html